[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItems.Clear

Removes all list item instances stored in the container.

## Declaration

Source position: comctrls.pp line 1169

`public procedure TListItems.Clear; virtual;`

## Description

Clear calls the Delete method to remove each of the TListItem class instances in the internal storage for the container.

Clear is called from the TCustomListView.Clear method. It is also called immediately before values are loaded into the container during LCL component streaming.

## See also

TListItems.Delete |  | Removes the list item specified in AIndex from the container.
TCustomListView.Clear |  | Clears the Items for the list view.